/*
 * Tcl-bindings to access DataTranslation DT2801 Driver
 *
 *
 */

extern int Dt2801_Init(Tcl_Interp *interp);

typedef struct {
	int raw;

	int bits;
	int resolution;
	int polarity;
	int gain;
	double min;
	double max;

	int fd;
	int channel;
	
	int exttrigger;
} DT2801_AD_Imm;

typedef struct {
	int raw;
	
	int bits;
	int resolution;
	int polarity;
	int gain;
	double min;
	double max;
	
	int fd;
	int conv;
	int startch;
	int endch;
	int cnt;

	int clockticks;

	int exttrigger;
	int extclock;
	int continous;

	Blt_Vector ydata;

	int running;
} DT2801_AD_Block;


typedef struct {
	int raw;

	int bits;
	int resolution;
	int polarity;
	int fullscale;
	
	double min;
	double max;

	int fd;
	int port;

	int exttrigger;
} DT2801_DA_Imm;

typedef struct {

	int fd;


} DT2801_DA_Block;

